[arch-commits] CVS update of extra/multimedia/mythmusic (PKGBUILD)

Eric Belanger eric at archlinux.org
Tue Jun 5 21:51:39 EDT 2007


    Date: Tuesday, June 5, 2007 @ 21:51:39
  Author: eric
    Path: /home/cvs-extra/extra/multimedia/mythmusic

Modified: PKGBUILD (1.8 -> 1.9)

Added build fix for x86_64


----------+
 PKGBUILD |   13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)


Index: extra/multimedia/mythmusic/PKGBUILD
diff -u extra/multimedia/mythmusic/PKGBUILD:1.8 extra/multimedia/mythmusic/PKGBUILD:1.9
--- extra/multimedia/mythmusic/PKGBUILD:1.8	Sun Apr 29 14:11:18 2007
+++ extra/multimedia/mythmusic/PKGBUILD	Tue Jun  5 21:51:39 2007
@@ -1,4 +1,4 @@
-# $Id: PKGBUILD,v 1.8 2007/04/29 18:11:18 travis Exp $
+# $Id: PKGBUILD,v 1.9 2007/06/06 01:51:39 eric Exp $
 # Maintainer: Travis Willard <travisw at wmpub.ca> 
 # Contributor: kleptophobiac at gmail.com
 
@@ -11,7 +11,8 @@
 license=('GPL')
 depends=('mythtv' 'libid3tag' 'libmad' 'libvorbis' 'flac>=1.1.4' 'libcdaudio' \
          'cdparanoia' 'fftw2' 'sdl' 'faad2' 'lame' )
-source=(http://gerolde.archlinux.org/~paul/mythplugins-$pkgver.tar.gz music_flac.patch flacdecoder.patch)
+source=(http://gerolde.archlinux.org/~paul/mythplugins-$pkgver.tar.gz music_flac.patch)
+md5sums=('2a9fbf45ae58a3a35857ce8d7c4d12db' '889bffb0239821b75550e072e69c7d8c')
 groups=('mythtv-extras')
 
 build() {
@@ -19,8 +20,8 @@
 
   # for flac 1.1.4
   cd mythmusic/mythmusic
-  # patch -Np0 < $startdir/src/music_flac.patch || return 1
-  patch -Np0 < $startdir/src/flacdecoder.patch || return 1
+  patch -Np0 < $startdir/src/music_flac.patch || return 1
+  [ "$CARCH" = "x86_64" ] && (sed -i 's/, unsigned/, size_t/' flacdecoder.cpp  || return 1)
   cd ../..
 
   sed -i 's#libfftw #libdfftw #' $startdir/src/mythplugins/configure
@@ -31,7 +32,7 @@
   sed -i 's#<fftw.h>#<sfftw.h>#' $startdir/src/mythplugins/mythmusic/mythmusic/visualize.h
 
   ./configure --prefix=/usr --disable-all --enable-mythmusic --enable-fftw \
-  --enable-sdl --enable-aac --enable-opengl
+    --enable-sdl --enable-aac --enable-opengl
 
 
   sed -i 's#-lrfftw#-lsrfftw#' $startdir/src/mythplugins/mythmusic/mythmusic/config.pro
@@ -44,7 +45,5 @@
   make INSTALL_ROOT=$startdir/pkg install
 }
 
-md5sums=('2a9fbf45ae58a3a35857ce8d7c4d12db'
-         '889bffb0239821b75550e072e69c7d8c')
 sha1sums=('8223ee888f305d61eca723f06c41024fbf7def84'
           'c07883f2b190a4dd6a78f2cad7a88eff3024d1d5')




More information about the arch-commits mailing list